## org.eclipse.emf.cdo.ui.defs
Interface CDOUIDefsPackage.Literals

Enclosing interface:
  CDOUIDefsPackage

    public static interface CDOUIDefsPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `CDO_EDITOR_DEF` The meta object literal for the '`CDO Editor Def`' class.
`static org.eclipse.emf.ecore.EReference` `CDO_EDITOR_DEF__CDO_VIEW` The meta object literal for the 'Cdo View' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_EDITOR_DEF__RESOURCE_PATH` The meta object literal for the 'Resource Path' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EDITOR_DEF` The meta object literal for the '`Editor Def`' class.
`static org.eclipse.emf.ecore.EAttribute` `EDITOR_DEF__EDITOR_ID` The meta object literal for the 'Editor ID' attribute feature.

Field Detail

### EDITOR_DEF

    static final org.eclipse.emf.ecore.EClass EDITOR_DEF

  The meta object literal for the '`Editor Def`' class.

  See Also:
    `EditorDefImpl`, `CDOUIDefsPackageImpl.getEditorDef()`

### EDITOR_DEF__EDITOR_ID

    static final org.eclipse.emf.ecore.EAttribute EDITOR_DEF__EDITOR_ID

  The meta object literal for the 'Editor ID' attribute feature.

### CDO_EDITOR_DEF

    static final org.eclipse.emf.ecore.EClass CDO_EDITOR_DEF

  The meta object literal for the '`CDO Editor Def`' class.

  See Also:
    `CDOEditorDefImpl`, `CDOUIDefsPackageImpl.getCDOEditorDef()`

### CDO_EDITOR_DEF__CDO_VIEW

    static final org.eclipse.emf.ecore.EReference CDO_EDITOR_DEF__CDO_VIEW

  The meta object literal for the 'Cdo View' reference feature.

### CDO_EDITOR_DEF__RESOURCE_PATH

    static final org.eclipse.emf.ecore.EAttribute CDO_EDITOR_DEF__RESOURCE_PATH

  The meta object literal for the 'Resource Path' attribute feature.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.